"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_pass_method = require("../method.js");
const ME_pass_model = require("../model.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/day.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "SwitchSelectBtn",
  setup(__props) {
    const bindPickerChange = (e) => {
      var _a, _b, _c;
      let data = ((_b = (_a = ME_pass_model.useModel) == null ? void 0 : _a.listData) == null ? void 0 : _b.value[e.detail.value]) || {};
      console.log(data, "data");
      ME_pass_model.useModel.currentHouse.value = data;
      if ((data == null ? void 0 : data.type) === 2) {
        (_c = ME_pass_method.method) == null ? void 0 : _c.getQrCode();
      }
    };
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.o(bindPickerChange),
        b: (_b = (_a = common_vendor.unref(ME_pass_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b084bbf8"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/pass/components/SwitchSelectBtn.vue"]]);
wx.createComponent(Component);
